<!DOCTYPE html>
<html>
<head>
<title>Disable mouse right click, cut, copy, paste with JavaScript or
    jQuery</title>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="stylesheet" type="text/css" href="css/style.css" />
<link rel="stylesheet" type="text/css" href="css/form.css" />
<style>
#phppot-message {
    display: none;
}
</style>

<script>
function disableAction(event, action) {
	event.preventDefault();
	document.getElementById("phppot-message").innerText = action + ' is disabled.';
	document.getElementById("phppot-message").style.display = 'block';
}
</script>
</head>

<body>
    <div class="phppot-container">
        <h2>Disable mouse right click, cut, copy, paste</h2>
        <textarea name="notes" class="full-width" rows="5"
            onCut="disableAction(event, 'Cut');"
            onCopy="disableAction(event, 'Copy');"
            onpaste="disableAction(event, 'Paste');"
            oncontextmenu="disableAction(event, 'Right click');"></textarea>
        <div id="phppot-message" class="error"></div>
    </div>
</body>
</html>

