<!DOCTYPE html>
<html>
<head>
<title>Disable mouse right click, cut, copy, paste with JavaScript or
    jQuery</title>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="stylesheet" type="text/css" href="css/style.css" />
<link rel="stylesheet" type="text/css" href="css/form.css" />
<style>
#phppot-message {
    display: none;
}
</style>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"
    integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
    crossorigin="anonymous"></script>

<script>
    $(document).ready(function() {
    	$('textarea').on("cut", function(e) {
    		e.preventDefault();
            alertUser('Cut');
    	});
    	$('textarea').on("copy", function(e) {
    		e.preventDefault();
            alertUser('Copy');
    	});
    	$('textarea').on("paste", function(e) {
    		e.preventDefault();
            alertUser('Paste');
    	});

    	$("textarea").on("contextmenu", function(e) {
            e.preventDefault();
        	alertUser('Mouse right click');
    	});
    });

    function alertUser(message) {
        $("#phppot-message").text(message + ' is disabled.');
        $("#phppot-message").show();
    }
</script>
</head>

<body>
    <div class="phppot-container">
        <h2>Disable mouse right click, cut, copy, paste</h2>
        <textarea name="notes" class="full-width" rows="5"></textarea>
        <div id="phppot-message" class="error"></div>
    </div>
</body>
</html>

